
Packaging - Bug #29346

Installing katello 3.15 RC1 fails with postgres conflict

03/13/2020 04:47 PM - Suresh Thirugnanasambandan

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I followed installation instructions in https://theforeman.org/plugins/katello/3.15/installation/index.html

yum -y localinstall https://yum.theforeman.org/releases/2.0/el7/x86_64/foreman-release.rpm

yum -y localinstall https://fedorapeople.org/groups/katello/releases/yum/3.15/katello/el7/x86_64/katello-repos-latest.rpm

yum -y localinstall https://yum.puppet.com/puppet6-release-el-7.noarch.rpm

yum -y localinstall https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm

yum -y install foreman-release-scl

yum -y install centos-release-scl-rh

yum -y update

yum install -y katello

Ran installer: foreman-installer --scenario katello --tuning medium --disable-system-checks

It failed with postgres related error:

[ERROR 2020-03-13T16:31:47 main] Errors encountered during run:

[ERROR 2020-03-13T16:31:47 main]  Execution of '/bin/yum -d 0 -e 0 -y install rh-postgresql12-postgresql-syspaths' returned 1:

Error: rh-postgresql12-postgresql-syspaths conflicts with postgresql-9.2.24-2.el7_7.x86_64

After this:

I removed postgresql manually and reran installer and it worked fine.

History

#1 - 03/13/2020 04:48 PM - Suresh Thirugnanasambandan

1. yum repolist

Loaded plugins: fastestmirror

Loading mirror speeds from cached hostfile  * base: mirror.linux.duke.edu  * centos-sclo-rh: mirror.linux.duke.edu  * epel: packages.oit.ncsu.edu 

* extras: mirror.linux.duke.edu  * updates: mirror.linux.duke.edu

repo id                                                                        repo name                                                                                                                   status

base/7/x86_64                                                                  CentOS-7 - Base                                                                                                            

10,097

centos-sclo-rh/x86_64                                                          CentOS-7 - SCLo rh                                                                                                        

8,958

epel/x86_64                                                                    Extra Packages for Enterprise Linux 7 - x86_64                                                                   

13,207

extras/7/x86_64                                                                CentOS-7 - Extras                                                                                                             

335

foreman/x86_64                                                                 Foreman 2.0                                                                                                                   

607

foreman-plugins/x86_64                                                         Foreman plugins 2.0                                                                                                     

307

katello/x86_64                                                                 Katello 3.15                                                                                                                    52

katello-candlepin/x86_64                                                       Candlepin: an open source entitlement management system.                                      

2

katello-pulpcore/x86_64                                                        pulpcore: Fetch, Upload, Organize, and Distribute Software Packages.                        

65

pulp/7/x86_64                                                                  Pulp Community Release                                                                                                     
https://theforeman.org/plugins/katello/3.15/installation/index.html
https://yum.theforeman.org/releases/2.0/el7/x86_64/foreman-release.rpm
https://fedorapeople.org/groups/katello/releases/yum/3.15/katello/el7/x86_64/katello-repos-latest.rpm
https://yum.puppet.com/puppet6-release-el-7.noarch.rpm
https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm


67

puppet6/x86_64                                                                 Puppet 6 Repository el 7 - x86_64                                                                                     

193

updates/7/x86_64                                                               CentOS-7 - Updates                                                                                                          

1,487

repolist: 35,377

#2 - 03/13/2020 05:07 PM - Suresh Thirugnanasambandan

- File katello.1.log added

#3 - 03/25/2020 05:47 PM - Tomer Brisker

- Status changed from New to Rejected

could not be reproduced, closing

#4 - 03/25/2020 05:49 PM - Suresh Thirugnanasambandan

Yep, I am unable to reproduce this again. I will reopen if I see this again.

Files

katello.1.log 2.52 MB 03/13/2020 Suresh Thirugnanasambandan
